package cn.iocoder.yudao.framework.security.core.myVo;

public class PtResult<T> {
    private String msg;
    private String eventId;
    private String flag;
    private Integer code;
    private T data;
    private String errorStack;


    public PtResult() {
    }

    public PtResult(Integer code, String msg, T data, String eventId, String flag, String errorStack) {
        this.msg = msg;
        this.eventId = eventId;
        this.flag = flag;
        this.code = code;
        this.data = data;
        this.errorStack = errorStack;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public String getErrorStack() {
        return errorStack;
    }

    public void setErrorStack(String errorStack) {
        this.errorStack = errorStack;
    }

    @Override
    public String toString() {
        return "PtResult{" +
                "msg='" + msg + '\'' +
                ", eventId='" + eventId + '\'' +
                ", flag='" + flag + '\'' +
                ", code='" + code + '\'' +
                ", data=" + data +
                ", errorStack='" + errorStack + '\'' +
                '}';
    }
}
